#include "partition.h"
#include <vector>

using namespace std;

vector<int> solve(vector<int> A)
{
    vector<int> solution;
    int n = A.size();
    for(int i=0;i<n/2-1;i++)
    {
        solution.push_back(A[i]);
    }
    solution.push_back((1<<(n-1)));
    for(int i=n/2-1;i<n-1;i++)
        solution.push_back(A[i]);
    return solution;
}

